Bug 114698 - Epson c63/c64/c83/c84 Paper Alignment Wrong in gimp-print-4.2.6
Epson c63/c64/c83/c84 Paper Alignment Wrong in gimp-print-4.2.6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp-print (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://www.linuxprinting.org/pipermai...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-31 15:35 EST by Matt Thompson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.2.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-01 15:49:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Thompson 2004-01-31 15:35:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.12

Description of problem:
In the most recent gimp-print stable release, 4.2.6, support for the
Epson C63/C64/C83/C84 was added.  Unfortunately, there is a paper
alignment bug for these printers.  More unfortuately, I own a C84, as
do many others.  These are currently the available non-photo printers
from Epson, and so are quite popular.

Robert Krawitz, the maintainer of gimp-print, has proposed an
emergency fix which disables the full-bleed support of these printers,
but restores proper alignment (a true fix will appear in 4.2.7, and
5.0.0-alpha1 is not affected):

http://www.linuxprinting.org/pipermail/epson-list/2004q1/003514.html

To quote he says:

If you want an emergency fix, search src/main/print-escp2-data.c and
search for"C84" or "C64" respectively (these are the last two entries
in the file), and change MODEL_XZEROMARGIN_YES to
MODEL_XZEROMARGIN_NO.  This will, of course, work only for people who
are building from source.

Any distribution vendors who are reading this, I urge you to make this
change. This will disable full-bleed printing for these printers.  The
actual fix will be a bit different; we'll change the zero margin offset.

Version-Release number of selected component (if applicable):
gimp-print-4.2.6-2

How reproducible:
Always

Steps to Reproduce:
1.  Print CUPS test page with Epson C84 and gimp-print-4.2.6
2.
3.
    

Actual Results:  The page isn't aligned correctly.  The left margin is
about 1cm off

Expected Results:  A perfect print!

Additional info:
Comment 1 Tim Waugh 2004-02-01 15:49:52 EST
Fixed in 4.2.6-4 -- thanks.

Note You need to log in before you can comment on or make changes to this bug.